[EPIC] MNMporHo3Hi npopaxi - Task #5608

Backend. NporHo3Hi npoaaxi imnopt 3 nnatdoopmu
09/07/2024 05:22 - # llya Lepkin-Titov

Status: To release Start date:
Priority: Normal Due date: 25/02/2025
Assignee: # Pavlo Scherbatyuk Spent time: 13.00 hours
Category:
Target version:
Category: API testing/methods Current Version: Release 110
Due date: OS (operating

system):
Client:
Description

1. CTBOPUTM TAabnuuto B sKin 6ynyTb 36epiratucs NporHo3Hi nponaxi. HeobxinHi nons:
1. item uid
2. store uid
3. week date - gata nporHosy
4. forecast_sold_qty - nporHo3Hi npoaaxi B WT. B pO3pi3i TUXHS (YMcnose)
5. forecast_revenue - NporHo3Hi Npoaaxi B rpowax B po3pisdi TUXHS (41cnose)

2. Nlonatu noriky no BUOAnNEHHIo CTapux NporHosis.

1. Bupanatm npogaxi, akwo date < now.
2. [1ns TUXHIiB BUOANSEMO 3 HACTAHHAM NEPWOro AHS HACTYMHOMO TUXHS.

3. HanawTysatu 3a6ip AaHUX Mo NPOrHO3HUM Npojaxam 3 nnatgopmu.

1. Oani B nnatcpopmi 6yayTb B BUrNsai Tabnuui 3 nyHKTy 1.

Related issues:
Related to [EPIC] MNporHo3Hi npopaxi - User story #5584: BukopucTaHHS NPOrHO3H. .. Ready for development

25/02/2025

History

#1 - 09/07/2024 05:22 -  llya Lepkin-Titov

- Description updated

#2 - 09/07/2024 05:33 - # llya Lepkin-Titov

- Subject changed from Backend. lNporHosHi npogaxi to Backend. lNporHo3Hi npoaaxi iMnopr 3 nnarghopmm
- Description updated

- Status changed from New to Ready for development

- Assignee changed from & llya Lepkin-Titov to # Artem Kulibaba

- Target version changed from Release 110 to Release 109

#3 - 09/07/2024 05:35 - % llya Lepkin-Titov

- Related to User story #5584: BukopucTtaHHs nporHo3Hux npogaxis B Shelf added

#4 - 09/07/2024 06:50 - % llya Lepkin-Titov

- Description updated

#5 - 02/08/2024 09:44 - & Aleksandr Bilousko

- Target version changed from Release 109 to Release 110

#6 - 09/12/2024 08:42 - & Aleksandr Bilousko

- Assignee changed from # Artem Kulibaba to # Aleksandr Bilousko
- Target version changed from Release 110 to Release 111

#7 - 20/01/2025 06:11 - # Aleksandr Bilousko

- Description updated

#8 - 04/02/2025 10:49 - & Valeriia Rublevskaia

- File picture085-1.png added

- File picture085-2.png added

Moamsunack faHi B nnatdopmi.
Binb6ip marasvH 4000 ToBap 99996 nata 04.02.2025, Maemo Taki npoaaxi:

event_i-dm;'-daté-”- - "_pro-d_:-,lct_ui-d-'-'- :'-ﬁtore_uic-i-'.'_ "week_date" ;ﬁo.lmd__qty'-'_"”_fevenué'-'-"
563["2025-02-04"] "99996" "A000" "2025-02-24" ["12.94" "504.53"
563["2025-02-04"] "99996" "4000" "2025-02-17" ["9.8" "382.1"
563["2025-02-04"] "99996" "4000" "2025-03-10" ["9.9" "386"
563('2025-02-04"] "99996" "4000" "2025-03-31" ["12.22" "476.46"
563["2025-02-04"] "99996" "4000" "2025-04-21" |"11.22" "437.47"
563["2025-02-04"] "99996" "4000" "2025-04-14" ["10.32" "402.38"
563["2025-02-04"] "999956" "A000" "'2025-02-10" |"9.88" "385.22"
563["2025-02-04"] "99996" "4000" "2025-03-03" ["11.13" "433.96"
563["2025-02-04"] "999956" "A000" "2025-03-24" ["11.92" "464.76"
563["2025-02-04"] "999956" "4000" "2025-03-17" ["10.24" "399.2"
563["2025-02-04"] "99996" "4000" "2025-04-07" ["9.3" "362.61"
563["2025-02-04"] "99996" "4000" "2025-04-28" ["11.85" "462.03"
Binb6ip marasnH 4000 ToBap 99996 nporHosHa gata 17.02.2025, MaeMo Taki aai:
event_id P date P product_uid store_uid week_date sold_qgty revenue
[PK] bigint [PK] date [PK] character varying [PK] character varying [PK] date double precision double precision
550 | 2025-01-31 Q99006 4000 20250217 8.76 341.55
559 | 2025-02-03 99004 4000 20250217 9.82 3B82.88
556 | 2025-02-02 99004 4000 20250217 987 38483
560 | 2025-01-30 99004 4000 20250217 8.76 341.55
563 | 2025-02-04 99996 4000 20250217 9.8 3821
noku 3adpikcyBame-Ge=mer=+e NyXe cniBnafaloTb 3 ON1COM

#9 - 05/02/2025 02:56 - # Aleksandr Bilousko

- Description updated

#10 - 05/02/2025 07:03 - & Aleksandr Bilousko

- Tracker changed from User story to Task

- Project changed from Shelf dev to [EPIC] lNporHo3Hi npogaxi

- Target version deleted (Release 111)

- Current Version set to Release 110

#11 - 05/02/2025 07:08 - & Aleksandr Bilousko
- Due date set to 25/02/2025
- Start date deleted (03/07/2024)

#12 - 20/02/2025 06:12 - 4 Valeriia Rublevskaia

- File HomeHknatypa 3 kogamu flm.xlsx added

- File picture947-1.png added

- File picture947-2.png added

- File picture947-3.png added

- Status changed from Ready for development to Ready for testing
1. Ons Toro wob 3aBaHTaXuTn NporHo3Hi npodaxi fim:

e nopana Y|On marasuHam: 01_KBaHoBa 16, 46_3aiuesa 1-A, 015 - Tarnéw, ul. Klikowska 85

e nns ToBapis 3 nanok Ketuyn (piseHb 2) i MaiioHes (piBeHb 2) (ue Groceries => KeTtyyn (piBeHb 1) => KeTyyn (piBeHb 2) i Tak camo ans
ManoHesy) BcTaHoBuna koau flm (ToBapw 3 Kogamu y BKnaneHHi)

® 3aBaHTaxwna NporHosHi npoaaxi 3 fim no marasuxam i Toeapam 3 nn.1i2
2. Bin cpoHTa ouikyto BnacTumsicTb forecast, Tun Byneso, noku il Hemae BctaHoBUNA if 3HAYEHHS B icTUHA, TO6TO 3apa3s BynyTb NepeBipsTUCH
TiNbKM NPOrHO3Hi NpoAaxi, sik 3'aBnaTbcs Tabu 3 3agavku https:/rm.m.abmretail.com/issues/5584 i BnacTuBicTb, MoxHa byae nepesipATy i
MPOrHO3Hi i peanbHi Npodaxi. PesynbTaT NPOrHo3HUX AaHUX BAHTAXY MOKMW B KOMOHKU Tabnnukm aHaniTukm sk no goakTnyHuM, 60 He 6auy
CeHcy X po34insaTv BOHU BCe 0aHO abo Ti npuxoastb abo Ti. Skwo Tpeba po3HecTw, NUWiTb
3. MNpoausntrch NporHo3Hi npogaxi B 1C MoxHa B pericTpi BigomocTew "MNponaxu nporHos" (Cymu TexX €, NPoCTO B KAPTUHKY He noTpanunm)
N —— | Mpassna uswoofipasoaasn
HECTD AR YMEHTOR B Nesses corcn 3| Mpopasw Hakonneswe
- TARCER : r‘“-"m,_| BHOOB pACHETa :‘: M
IBEOHEER OTHET et | Mponssoa menbhicTe SAFOpHTMGS
| MpocroTpeHHLe yBeAoMnes A
".]‘ MpoToson ofiseda ¢ ETANC
Y| PacrioaHasae ovepens
H| Pacnoarasame pesymsTams
| Pacnosnassrwe cofma
| Pactuimis us HOMEIETIGI
Mpopaxku nporvos
o Coszems | |} F K -
Neguan Homerscnatypa Marazss Kammectaa Cyaraa
ael 12.05.2025 Keruyn Xaswic MocToet 300man 3420 01 _Moarosa 15 0.210
Al 12052025 Keruyn Xadwic: MocToe 300mn/ 342 4E_Jsmuess 1-4 0.140
e 12052025 Kemiyn Uzt Do wewmsy 366r o'n 015 - Tamdw, ul. Kikowska B5 0,300
el 12052025 Kemiyn Yy Op waumscy 366r o 01_Weasosa 15 0.050
Al 12.05.2025 Kerayn “ymar Manpeea 300r o/n 015 - Tamdw, ul. Klkowska 85 9,250
A 12052025 Keruyn Syman Marpssca 3000 o/n 01_Mearcsa 15 3960
Al 12,05 2025 Keruyn Uysass: Manmeca 300r o/n 45 _3amuena 1-4 1,500
Al 12052025 Karuyn Uysas Narizait 366 o'n 015 - Tamdw, ul. Klikowska 85 4,230
el 120652025 Kamiyn Uysas: Marigeawd 3660 on 01_Mezsosa 15 1,140
A 12052025 Kamyyn Yy Tomamasi 300r o/n 015 - Taméw, ul. Klkowska 85 1.450

4. Slkwo npw cnpobi 0TpMMaTK B aHaNiTULi NPOrHO3, OTPUMYEMO MOMUIKY, MOXNMBO Lie MOMU/KA B AaTax, MPOCTO (PPOHT Lie He PoBUB CBOO
YACTUHKY, a s NepeBipkn BXe fonana. Yatatu npo noMunky TyT:
https://rm.m.abmretail.com/issues/5584
& Request URL: https://dema-ru.bo.abmretail.com/m/hs/merchandisin

g/sales?token=f3f28e1b-fed1-4a67-893e-0152e50b46f0

Request Method: POST

Status Code: 406 start date less than begin of this week, end date |

ess than yesterday

Remote Address: 185.222.65.166:443

Referrer Policy: strict-origin-when-cross-origin

¥ Response Headers [ Raw

Access-Control-Allow- X-Requested-With, Content-Type, Origin,

Headers: Authorization, Accept, Client-Security-Token,

#13 - 20/02/2025 06:39 - 4 Valeriia Rublevskaia

- Assignee changed from & Aleksandr Bilousko to # Valeriia Rublevskaia

#14 - 20/02/2025 06:40 - 4 Valeriia Rublevskaia

- Assignee changed from # Valeriia Rublevskaia to # Pavio Scherbatyuk

#15 - 21/02/2025 07:11 - 4 Pavlo Scherbatyuk
- Status changed from Ready for testing to To release

- Assignee changed from # Pavlo Scherbatyuk to # Aleksandr Bilousko

Ha pemo - OK.

#16 - 25/03/2025 07:56 - # Valeriia Rublevskaia
- Assignee changed from % Aleksandr Bilousko to # Pavilo Scherbatyuk

Jopana noriky aBTohercrHry no NporHO3HUM Npoaaxam

Moku He NpUxooMTb HanawTyBaHHs forecast Bif PPOHTA, Paxyro 3aBXAM NO NPOrHO3HMM, o6 NOKKU MOXHa 6yno NpoTecTyBaT. ABTOHAMNOBHEHHS,

3paeTbes, Cawa Kkasas Moku He pobuTu

#17 - 26/03/2025 03:30 - # Pavlo Scherbatyuk

Ha nemo - OK.
